Bug 539230 - Review Request: perl-Authen-Simple - Simple Authentication
Summary: Review Request: perl-Authen-Simple - Simple Authentication
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 17:27 UTC by Emmanuel Seyman
Modified: 2011-08-12 12:30 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-11-27 21:43:36 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2009-11-19 17:27:41 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Authen-Simple/perl-Authen-Simple.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Authen-Simple/perl-Authen-Simple-0.4-1.fc12.src.rpm
Description:
Simple and consistent framework for authentication.

Comment 1 Parag AN(पराग) 2009-11-20 06:16:51 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1818826
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
5c58c9f8bd279214121a4cff0a96a33fe3ea5097  Authen-Simple-0.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=9, Tests=54,  1 wallclock secs ( 0.04 usr  0.03 sys +  0.33 cusr  0.12 csys =  0.52 CPU)
+ Package perl-Authen-Simple-0.4-1.fc13.noarch =>
Provides: perl(Authen::Simple) = 0.4 perl(Authen::Simple::Adapter) perl(Authen::Simple::Apache) perl(Authen::Simple::Log) perl(Authen::Simple::Password)
Requires: perl(Authen::Simple::Adapter) perl(Authen::Simple::Log) perl(Authen::Simple::Password) perl(Carp) perl(Crypt::PasswdMD5) perl(Digest::MD5) perl(Digest::SHA) perl(IO::Handle) perl(MIME::Base64) perl(Params::Validate) perl(base) perl(constant) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.

Comment 2 Emmanuel Seyman 2009-11-20 08:53:23 UTC
(In reply to comment #1)
>
> APPROVED.  

Thanks for the review, Parag! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Authen-Simple
Short Description: Simple Authentication
Owners: eseyman
Branches: F-11 F-12
InitialCC: perl-sig

Comment 3 Dennis Gilmore 2009-11-20 22:39:10 UTC
CVS Done

Comment 4 Fedora Update System 2009-11-21 00:51:19 UTC
perl-Authen-Simple-0.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Authen-Simple-0.4-1.fc12

Comment 5 Fedora Update System 2009-11-21 00:51:24 UTC
perl-Authen-Simple-0.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Authen-Simple-0.4-1.fc11

Comment 6 Fedora Update System 2009-11-24 07:54:08 UTC
perl-Authen-Simple-0.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Authen-Simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11980

Comment 7 Fedora Update System 2009-11-24 07:57:58 UTC
perl-Authen-Simple-0.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Authen-Simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12007

Comment 8 Fedora Update System 2009-11-27 21:43:31 UTC
perl-Authen-Simple-0.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-27 22:07:44 UTC
perl-Authen-Simple-0.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Jose Pedro Oliveira 2011-08-12 01:46:34 UTC
Package Change Request
======================
Package Name: perl-Authen-Simple
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 11 Gwyn Ciesla 2011-08-12 12:30:52 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.